<template>
  <b-container>
      <Header/>
      <b-row>
          <b-col>
            <b-form-group horizontal label="Filter">
                <b-input-group>
                    <b-form-input placeholder="Keyword" v-model="keyword"></b-form-input>
                    <b-input-group-button>
                        <b-button variant="primary" @click="keyword=''">Clear</b-button>
                    </b-input-group-button>
                </b-input-group>
            </b-form-group>
          </b-col>
          <b-col>
            <b-form-group horizontal label="Rows per page" :label-cols="6">
                <b-form-select :options="pageOptions" v-model="perPage" />
            </b-form-group>
          </b-col>
          <b-col md="3" offset-sm="3">
            <b-button size="sm" variant="primary" v-b-modal.addWork>Add</b-button>
          </b-col>
      </b-row>
      <b-row>
        <b-col>
          <b-table striped hover bordered show-empty :items="items" :fields="fields" :filter="keyword" @filtered="onFiltered" :per-page="perPage" :current-page="currentPage">
          </b-table>
          <b-pagination :total-rows="totalRows" :per-page="perPage" v-model="currentPage"/>
        </b-col>
    </b-row>
    
    <b-modal id="addWork" title="Add Working Description" ok-title="Save" cancel-variant="danger">
        <b-card no-body>
            <b-tabs>
                <b-tab title="Sheet1">
                    <b-form-group horizontal label="Data Kapal">
                        <b-form-select :options="pageOptions"></b-form-select>
                    </b-form-group>
                    <b-form-group horizontal label="Description">
                        <b-form-textarea rows="10"></b-form-textarea>
                    </b-form-group>
                </b-tab>
                <b-tab title="Sheet2">
                    <p>Panel</p>
                </b-tab>
            </b-tabs>
        </b-card>
    </b-modal>
  </b-container>

</template>

<script>
import Header from '../shared/Header.vue'

const items = [
  {No: 1, ship_name: 'Avengers Ship', owner: 'Avenger Team', class: 'Warship', Action: false},
  {No: 2, ship_name: 'Faering', owner: 'Vikings', class: 'Rowboat', Action: false},
  {No: 3, ship_name: 'Knarr', owner: 'Norse', class: 'Voyages', Action: false},
  {No: 4, ship_name: 'Longship', owner: 'Vikings', class: 'Tradeship', Action: false},
  {No: 5, ship_name: 'Karve', owner: 'Vikings', class: 'Transport', Action: false},
  {No: 6, ship_name: 'Kusanagi', owner: 'Orbs', class: 'Flagship', Action: false},
  {No: 7, ship_name: 'Miverva', owner: 'ZAFT', class: 'Flagship', Action: false},
  {No: 8, ship_name: 'Garuda', owner: 'Earth Federation', class: 'Transport', Action: false},
  {No: 9, ship_name: 'Dominion', owner: 'Earth Federation', class: 'Flagship', Action: false},
  {No: 10, ship_name: 'Ptholemy', owner: 'Vikings', class: 'Warship', Action: false}
]

export default {
  data () {
    return {
      keyword: null,
      totalRows: items.length,
      perPage: 5,
      currentPage: 1,
      pageOptions: [
        {text: 5, value: 5},
        {text: 10, value: 10},
        {text: 50, value: 50}
      ],
      fields: {
        ship_name: {label: 'Ship Name', sortable: true},
        owner: {label: 'Owner', sortable: true},
        class: {label: 'Ship Class', sortable: true},
        action: {label: 'Action'}
      },
      items: items
    }
  },
  components: {
    Header
  },
  methods: {
    onFiltered (filteredItems) {
      // Trigger pagination to update the number of buttons/pages due to filtering
      this.totalRows = filteredItems.length
      this.currentPage = 1
    }
  }
}
</script>

<style scoped>

</style>
